Mailinglist Archive: opensuse-buildservice (306 mails)

< Previous Next >
[opensuse-buildservice] cpio digest mismatch with RHEL6 beta
  • From: Michael E Brown <Michael_E_Brown@xxxxxxxx>
  • Date: Mon, 7 Jun 2010 11:49:47 -0500
  • Message-id: <20100607164947.GC26663@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx>
I am running OBS 1.6 and trying to import the latest RHEL6 beta releases
(which should be similar to the Fedora 13 release) and have run into the
problem below.

The 'preinstall' stage appears to complete successfully. The first RPM
that build attempts to install, in this case ca-certificates, hits this
error:
done
installing ca-certificates-2009-2.el6
error: unpacking of archive failed on file /etc/pki/java/cacerts;4c0d1fa4:
cpio: Digest mismatch

I've tried changing the order of install, whatever RPM is installed
first always hits this problem, so it isnt a problem with the
ca-certificates RPM.

Full build log follows:

omb-bp-s11x64-010 started "build srvadmin-meta.spec" at Mon Jun 7
11:34:35 CDT 2010.

Building srvadmin-meta for project 'home:michael_e_brown:om-6.3'
repository 'rhel6' arch 'x86_64' srcmd5
'353bda4980abec3c6b799296c2d4f80b'

processing specfile /tmp/root_1/.build-srcdir/srvadmin-meta.spec ...
running changelog2spec --target rpm --file
/tmp/root_1/.build-srcdir/srvadmin-meta.spec
init_buildsystem --clean --rpmlist /tmp/root_1/.build.rpmlist
/tmp/root_1/.build-srcdir/srvadmin-meta.spec build rpmlint-Factory ...
preinstalling xz-libs...
preinstalling xz...
preinstalling acl...
preinstalling attr...
preinstalling bash...
preinstalling bzip2...
preinstalling coreutils...
preinstalling device-mapper-libs...
preinstalling diffutils...
preinstalling filesystem...
preinstalling glibc...
preinstalling grep...
preinstalling libacl...
preinstalling libattr...
preinstalling libgcc...
preinstalling m4...
preinstalling ncurses...
preinstalling pam...
preinstalling nss...
preinstalling nspr...
preinstalling popt...
preinstalling readline...
preinstalling ncurses-libs...
preinstalling rpm...
preinstalling sed...
preinstalling tar...
preinstalling zlib...
preinstalling rpm-libs...
preinstalling pcre...
preinstalling info...
preinstalling libselinux...
preinstalling sqlite...
preinstalling elfutils-libelf...
preinstalling findutils...
preinstalling neon...
preinstalling openssl...
preinstalling krb5-libs...
preinstalling e2fsprogs-libs...
preinstalling expat...
preinstalling bzip2-libs...
preinstalling libstdc++...
preinstalling setup...
preinstalling libsepol...
preinstalling perl-libs...
preinstalling policycoreutils...
preinstalling libcap...
preinstalling db4...
preinstalling file-libs...
preinstalling lua...
preinstalling shadow-utils...
preinstalling chkconfig...
preinstalling nss-softokn-freebl...
preinstalling util-linux-ng...
preinstalling perl...
preinstalling device-mapper...
preinstalling nss-util...
initializing rpm db...
reordering...cycle: glibc -> glibc-common -> bash
breaking dependency glibc-common -> bash
cycle: glibc -> glibc-common
breaking dependency glibc -> glibc-common
cycle: glibc -> nss-softokn-freebl
breaking dependency nss-softokn-freebl -> glibc
cycle: coreutils -> coreutils-libs
breaking dependency coreutils -> coreutils-libs
cycle: coreutils -> pam
breaking dependency coreutils -> pam
cycle: perl -> perl-libs
breaking dependency perl -> perl-libs
cycle: perl-Module-Pluggable -> perl
breaking dependency perl -> perl-Module-Pluggable
cycle: perl -> perl-Pod-Simple
breaking dependency perl -> perl-Pod-Simple
cycle: perl -> perl-version
breaking dependency perl -> perl-version
cycle: glib2 -> gamin
breaking dependency glib2 -> gamin
cycle: libproxy-bin -> libproxy
breaking dependency libproxy -> libproxy-bin
cycle: libproxy -> libproxy-python
breaking dependency libproxy -> libproxy-python
cycle: python -> python-libs
breaking dependency python -> python-libs
cycle: nss -> nss-sysinit
breaking dependency nss-sysinit -> nss
cycle: util-linux-ng -> udev -> initscripts
breaking dependency initscripts -> util-linux-ng
cycle: udev -> initscripts
breaking dependency initscripts -> udev
cycle: util-linux-ng -> udev
breaking dependency udev -> util-linux-ng
cycle: rpm -> rpm-libs
breaking dependency rpm -> rpm-libs
done
installing ca-certificates-2009-2.el6
error: unpacking of archive failed on file
/etc/pki/java/cacerts;4c0d1fa4: cpio: Digest mismatch

< Previous Next >